<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('_b_b_jaheshes', function (Blueprint $table) {
            $table->foreign(['province_id'], 'b_b_jaheshes_province_id_foreign')->references(['id'])->on('provinces')->onUpdate('cascade')->onDelete('set null');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('_b_b_jaheshes', function (Blueprint $table) {
            $table->dropForeign('b_b_jaheshes_province_id_foreign');
        });
    }
};
